Wt: Wt::WBorder Class Reference

Wt 3.3.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions
Wt::WBorder Class Reference
Style classes

A value class that defines the CSS border style of a widget. More...

`#include <Wt/WBorder>`

List of all members.

## Public Types
enum | Width { Thin, Medium, Thick, Explicit }
| Enumeration for border width. More...
enum | Style { None, Hidden, Dotted, Dashed, Solid, Double, Groove, Ridge, Inset, Outset }
| Enumeration for border style. More...
## Public Member Functions
| WBorder ()
| Creates a border indicating no border.
| WBorder (Style style, Width=Medium, WColor color=WColor())
| Creates a border with given style, thickness and color.
| WBorder (Style style, const WLength &width, WColor color=WColor())
| Creates a border with an absolute width.
bool | operator== (const WBorder &other) const
| Comparison operator.
bool | operator!= (const WBorder &other) const
| Comparison operator.
void | setWidth (Width width, const WLength &explicitWidth=WLength::Auto)
| Sets the border width.
void | setColor (WColor color)
| Sets the border color.
void | setStyle (Style style)
| Sets the border style.
Width | width () const
| Returns the border width.
WLength | explicitWidth () const
| Returns the border width when set explicitly.
WColor | color () const
| Returns the border color.
Style | style () const
| Returns the border style.
std::string | cssText () const
| Returns the CSS text for this border style.

## Detailed Description

A value class that defines the CSS border style of a widget.

## Member Enumeration Documentation

enum Wt::WBorder::Style

Enumeration for border style.

Enumerator:

  None | No border (width ignored), default.
  Hidden | Invisible border (of specified width).
  Dotted | Dotted border.
  Dashed | Dashed border.
  Solid | Solid border.
  Double | Double lined border.
  Groove | Relief border grooved into the canvas.
  Ridge | Relief border coming out of the canvas.
  Inset | Relief border lowering contents into the canvas.
  Outset | Relief border letting contents come out of the canvas.

enum Wt::WBorder::Width

Enumeration for border width.

Enumerator:

  Thin | Browser-dependent 'thin' border.
  Medium | Browser-dependent 'medium' border, default.
  Thick | Browser-dependent 'thick' border.
  Explicit | Explicit width. See also explicitWidth()

## Member Function Documentation

WColor Wt::WBorder::color | ( |  | ) | const

Returns the border color.

See also:
  setColor()

WLength Wt::WBorder::explicitWidth | ( |  | ) | const

Returns the border width when set explicitly.

See also:
  setWidth()

void Wt::WBorder::setWidth | ( | Width | width,
|  | const WLength & | explicitWidth = `WLength::Auto`
| ) |  |

Sets the border width.

If width == Explicit, then the width specified in `explicitWidth` is used.

Style Wt::WBorder::style | ( |  | ) | const

Returns the border style.

See also:
  setStyle()

Width Wt::WBorder::width | ( |  | ) | const

Returns the border width.

See also:
  setWidth()

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator